import type { User } from './user/index.d'

export const user = ref<User>(JSON.parse(localStorage.getItem('userInfo') ?? '{}'))

watch(
  () => user.value,
  (val) => {
    if (val === null)
      localStorage.removeItem('userInfo')
    else
      localStorage.setItem('userInfo', JSON.stringify(val))
  },
)
